Bug 131034 - "cman tool kill -n" usage and man page are inconsistent
"cman tool kill -n" usage and man page are inconsistent
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 15:44 EDT by Corey Marthaler
Modified: 2010-01-11 21:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 10:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-08-26 15:44:04 EDT
Description of problem:
from man page:

KILL OPTIONS
       -n <nodeid>
              The node ID of the node to be killed. Node IDs can  be 
obtained
              by looking in /proc/cluster/nodes

from usage:

-n <nodename>  * The name of this node (defaults to unqualified hostname)

DOESN'T WORK:
[root@morph-02 root]# cman_tool kill -n morph-03
cman_tool: kill node failed

WORKS:
[root@morph-02 root]# cman_tool kill -n 1
Comment 1 Christine Caulfield 2004-09-06 08:53:36 EDT
Changed "kill -n" to take a node name rather than a number. I think
this makes more sense than a number.


Checking in cman_tool/main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.7; previous revision: 1.6
done
Checking in man/cman_tool.8;
/cvs/cluster/cluster/cman/man/cman_tool.8,v  <--  cman_tool.8
new revision: 1.2; previous revision: 1.1
done
Comment 2 Corey Marthaler 2004-09-08 10:18:20 EDT
fix verified.
Comment 3 Kiersten (Kerri) Anderson 2004-11-16 14:04:22 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.